package com.reyun.model;

/**
 * Created by sunhao on 17/7/21.
 * desc:智能路径节点
 */
public class IntelligentPathNode {

    private String id;

    private String name;

    private Long number;

    private String parent;

    private int level;

    private Double percent;

    private Long totalNumber;

    public IntelligentPathNode(){}

    public IntelligentPathNode(String id, String name, Long number, String parent, int level){
        this.id = id;
        this.name = name;
        this.number = number;
        this.parent = parent;
        this.level = level;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getNumber() {
        return number;
    }

    public void setNumber(Long number) {
        this.number = number;
    }

    public String getParent() {
        return parent;
    }

    public void setParent(String parent) {
        this.parent = parent;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public Double getPercent() {
        return percent;
    }

    public void setPercent(Double percent) {
        this.percent = percent;
    }

    public Long getTotalNumber() {
        return totalNumber;
    }

    public void setTotalNumber(Long totalNumber) {
        this.totalNumber = totalNumber;
    }
}
